prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>1620873114056663
,p_default_application_id=>102
,p_default_id_offset=>0
,p_default_owner=>'FOS_MASTER_WS'
);
end;
/

prompt APPLICATION 102 - FOS Dev - Plugin Master
--
-- Application Export:
--   Application:     102
--   Name:            FOS Dev - Plugin Master
--   Exported By:     FOS_MASTER_WS
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 61118001090994374
--     PLUGIN: 134108205512926532
--     PLUGIN: 1039471776506160903
--     PLUGIN: 547902228942303344
--     PLUGIN: 217651153971039957
--     PLUGIN: 412155278231616931
--     PLUGIN: 1389837954374630576
--     PLUGIN: 461352325906078083
--     PLUGIN: 13235263798301758
--     PLUGIN: 216426771609128043
--     PLUGIN: 37441962356114799
--     PLUGIN: 1846579882179407086
--     PLUGIN: 8354320589762683
--     PLUGIN: 50031193176975232
--     PLUGIN: 106296184223956059
--     PLUGIN: 35822631205839510
--     PLUGIN: 2674568769566617
--     PLUGIN: 183507938916453268
--     PLUGIN: 14934236679644451
--     PLUGIN: 2600618193722136
--     PLUGIN: 2657630155025963
--     PLUGIN: 284978227819945411
--     PLUGIN: 56714461465893111
--     PLUGIN: 98648032013264649
--     PLUGIN: 455014954654760331
--     PLUGIN: 98504124924145200
--     PLUGIN: 212503470416800524
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     250144500186934
--

begin
  -- replace components
  wwv_flow_api.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/item_type/com_fos_ckeditor4
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(98648032013264649)
,p_plugin_type=>'ITEM TYPE'
,p_name=>'COM.FOS.CKEDITOR4'
,p_display_name=>'FOS - CKEditor4'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS'
,p_javascript_file_urls=>'#PLUGIN_FILES#js/script#MIN#.js'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'-- =============================================================================',
'--',
'--  FOS = FOEX Open Source (fos.world), by FOEX GmbH, Austria (www.foex.at)',
'--',
'--  This plug-in offers a Rich Text Editor based on CKEditor4.',
'--',
'--  License: MIT',
'--',
'--  GitHub: https://github.com/foex-open-source/fos-ckeditor4',
'--',
'-- =============================================================================',
'',
'procedure render',
'  ( p_item   in            apex_plugin.t_item',
'  , p_plugin in            apex_plugin.t_plugin',
'  , p_param  in            apex_plugin.t_item_render_param',
'  , p_result in out nocopy apex_plugin.t_item_render_result ',
'  )',
'as',
'    c_name     constant apex_plugin.t_input_name := apex_plugin.get_input_name_for_item;',
'    c_path     constant varchar2(4000)           := nvl(p_plugin.attribute_01, ''https://cdn.ckeditor.com/4.19.0/full-all/'');',
'    c_toolbar  constant varchar2(30)             := nvl(p_item.attribute_01, ''full'');',
'begin',
'    if p_param.value_set_by_controller and p_param.is_readonly ',
'    then',
'        return;',
'    end if;',
'',
'    if p_param.is_readonly or p_param.is_printer_friendly ',
'    then',
'        apex_plugin_util.print_hidden_if_readonly',
'          ( p_item  => p_item',
'          , p_param => p_param',
'          );',
'        ',
'        apex_plugin_util.print_display_only',
'          ( p_item             => p_item',
'          , p_display_value    => p_param.value',
'          , p_show_line_breaks => true',
'          , p_escape           => false',
'          , p_show_icon        => false',
'          );',
'    else',
'        -- create Textarea which will hold the initial value',
'        sys.htp.formtextareaopen',
'          ( cname       => c_name',
'          , nrows       => null',
'          , ncolumns    => null',
'          , cattributes => ''id="'' || c_name || ''" class="rich_text_editor apex-item-textarea"''',
'          );',
'',
'        apex_plugin_util.print_escaped_value(p_param.value);',
'',
'        sys.htp.formtextareaclose;',
'',
'        -- add needed libraries',
'        apex_javascript.add_library',
'          ( p_name      => ''ckeditor''',
'          , p_directory => c_path',
'          );',
'',
'        apex_javascript.add_library',
'          ( p_name      => ''jquery''',
'          , p_directory => c_path || ''/adapters/''',
'          );',
'            ',
'        apex_json.initialize_clob_output;',
'        ',
'        -- compose JSON',
'        apex_json.open_object;',
'        apex_json.write(''itemName'', p_item.name);',
'        apex_json.write(''label'', p_item.plain_label);',
'        apex_json.write(''toolbar'', c_toolbar);',
'        ',
'        if p_item.init_javascript_code is not null ',
'        then',
'            apex_json.write_raw(''jsInitCode'', p_item.init_javascript_code);',
'        end if;',
'        ',
'        apex_json.close_object;',
'        ',
'        apex_javascript.add_onload_code(''FOS.item.ckeditor4('' || apex_json.get_clob_output || '');'');',
'        ',
'        apex_json.free_output;',
'',
'        p_result.is_navigable := true;',
'    end if;',
'end render;'))
,p_api_version=>2
,p_render_function=>'render'
,p_standard_attributes=>'VISIBLE:FORM_ELEMENT:SESSION_STATE:READONLY:SOURCE:ENCRYPT:INIT_JAVASCRIPT_CODE'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This plug-in offers the classic Rich Text Editor functionality we''re all used to in APEX with minor differences such as a newer refreshed theme.</p>',
'<p>Starting in APEX 20.2, the APEX RTE has been upgraded to CKEditor5, which is a complete rewrite of the widget, its API is incompatible with the old version, and notably lacks certain features such as the View Source mode. This plug-in is for those'
||' who rely heavily on the features of CKE4 which are not yet part of CKE5.</p>',
'<p>It is generally recommended to upgrade to CKE5 and use the native APEX RTE. If that''s not possible for your business case, you can use this plug-in instead. Officially, CKEditor4 will still be supported by its creators until 2023.</p>',
'<p>This plug-in is almost identical to the classic Rich Text Editor of APEX, so it can be a drop-in replacement for APEX 20.2 and above.</p>',
'<p>The main differences are:<p>',
'<ul>',
'<li>The default theme is now the newer "Moono-Lisa" which offers a more modern, flat design.</li>',
'<li>The library is loaded from the official CKEditor CDN, but you can also host it yourself, and reference the path in a Component Setting.</li>',
'<li>The editor''s width is now responsive via CSS, not JavaScript, which removes jittering when resizing.</li>',
'</ul>'))
,p_version_identifier=>'22.1.0'
,p_about_url=>'https://fos.world'
,p_plugin_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// Settings for the FOS browser extension',
'@fos-auto-return-to-page',
'@fos-auto-open-files:js/script.js'))
,p_files_version=>122
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(103811833121041939)
,p_plugin_id=>wwv_flow_api.id(98648032013264649)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Library Path'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Provide the root path for the library source. If not provided, it will be defaulted to <code>https://cdn.ckeditor.com/4.15.1/full-all/</code>.</p>',
'<p>For various reasons, you might wish to host your own distribution on your webserver. If so, update its root path here.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(103813295916077593)
,p_plugin_id=>wwv_flow_api.id(98648032013264649)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Toolbar'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'intermediate'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Select the number of text formatting options available within the editor.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(103814095213078978)
,p_plugin_attribute_id=>wwv_flow_api.id(103813295916077593)
,p_display_sequence=>10
,p_display_value=>'Basic'
,p_return_value=>'basic'
,p_help_text=>'Includes basic controls, such as Bold and Italic.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(103814477001079681)
,p_plugin_attribute_id=>wwv_flow_api.id(103813295916077593)
,p_display_sequence=>20
,p_display_value=>'Intermediate'
,p_return_value=>'intermediate'
,p_help_text=>'Includes more controls, such as Font Size, Color and Alignment.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(103814879682082046)
,p_plugin_attribute_id=>wwv_flow_api.id(103813295916077593)
,p_display_sequence=>30
,p_display_value=>'Full'
,p_return_value=>'full'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Includes even more controls, such as Print and Edit Source.</p>',
'<p>Note that this is not the complete list. Even more controls can be added via the JavaScript Initialization Code attribute. For the list of available options, consult the CKEditor4 docs.</p>'))
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(103611747760735024)
,p_plugin_id=>wwv_flow_api.id(98648032013264649)
,p_name=>'INIT_JAVASCRIPT_CODE'
,p_is_required=>false
,p_depending_on_has_to_exist=>true
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>function(options){',
'    // enable and configure the auto-grow feature',
'    options.extraPlugins += '',autogrow'';',
'    options.autoGrow_minHeight = 250;',
'    options.autoGrow_maxHeight = 600;',
'',
'    // collapse toolbar by default',
'    options.toolbarCanCollapse = true;',
'    options.toolbarStartupExpanded = false;',
'',
'    return options;',
'}</pre>'))
,p_help_text=>'<p>Enter a JavaScript function to override standard CKEditor initialization. The function must return a JavaScript object containing the configuration for CKEditor. See CKEditor documentation for a list of available attributes.</p>'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A676C6F62616C20617065782C434B454449544F522C464F532C242A2F0A0A2F2A2A0A202A20436F6E7665727473206120546578746172656120696E746F206120434B456469746F7234205254452E0A202A20496E697469616C6C7920626173656420';
wwv_flow_api.g_varchar2_table(2) := '6F6E207769646765742E636B656469746F72342E6A732E205265666163746F72656420616E642067726561746C792073696D706C69666965640A202A2F0A0A77696E646F772E464F53203D2077696E646F772E464F53207C7C207B7D3B0A464F532E6974';
wwv_flow_api.g_varchar2_table(3) := '656D203D20464F532E6974656D207C7C207B7D3B0A0A2F2A2A0A202A2040706172616D207B6F626A6563747D2020202020206F7074696F6E7320202020202020202020202020616E7920434B453420636F6E66696775726174696F6E206F7074696F6E73';
wwv_flow_api.g_varchar2_table(4) := '2C2061732077656C6C2061733A0A202A2040706172616D207B737472696E677D2020202020206F7074696F6E732E6974656D4E616D652020202074686520525445206974656D206E616D652C206D757374206D6174636820612054657874617265612077';
wwv_flow_api.g_varchar2_table(5) := '697468207468652073616D65206E616D650A202A2040706172616D207B66756E6374696F6E7D202020206F7074696F6E732E6A73496E6974436F646520206F7074696F6E616C20496E697469616C697A6174696F6E204A61766153637269707420436F64';
wwv_flow_api.g_varchar2_table(6) := '652066756E6374696F6E0A202A2F0A464F532E6974656D2E636B656469746F7234203D2066756E6374696F6E20286F7074696F6E7329207B0A20202020766172206C4F7074696F6E73203D20242E657874656E64287B0A2020202020202020746F6F6C62';
wwv_flow_api.g_varchar2_table(7) := '61723A20276261736963272C0A202020202020202064697361626C654E61746976655370656C6C436865636B65723A2066616C73652C0A202020202020202072656D6F7665506C7567696E733A2027656C656D656E7473706174682C696D6167652C6578';
wwv_flow_api.g_varchar2_table(8) := '706F7274706466272C0A20202020202020206578747261506C7567696E733A2027696D61676532272C0A2020202020202020726573697A655F6469723A2027766572746963616C272C0A2020202020202020276D656E755F67726F757073273A2027636C';
wwv_flow_api.g_varchar2_table(9) := '6970626F6172642C7461626C6563656C6C2C7461626C6563656C6C70726F706572746965732C7461626C65726F772C7461626C65636F6C756D6E2C7461626C652C616E63686F722C6C696E6B2C696D6167652C666C617368270A202020207D2C206F7074';
wwv_flow_api.g_varchar2_table(10) := '696F6E73293B0A0A2020202076617220435F544F4F4C4241525F4241534943203D20276261736963272C0A2020202020202020435F544F4F4C4241525F494E5445524D454449415445203D2027696E7465726D656469617465272C0A2020202020202020';
wwv_flow_api.g_varchar2_table(11) := '435F544F4F4C4241525F46554C4C203D202766756C6C272C0A2020202020202020435F4B4559434F44455F4631203D203131323B0A0A202020202F2F20546F6F6C626172206C6F6769630A20202020696620286C4F7074696F6E732E746F6F6C62617220';
wwv_flow_api.g_varchar2_table(12) := '3D3D3D20435F544F4F4C4241525F424153494329207B0A20202020202020206C4F7074696F6E732E746F6F6C626172203D205B0A2020202020202020202020205B27426F6C64272C20274974616C6963272C20272D272C0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(13) := '2752656D6F7665466F726D6174272C20272D272C0A202020202020202020202020274E756D62657265644C697374272C202742756C6C657465644C697374272C20272D272C0A202020202020202020202020274C696E6B272C2027556E6C696E6B272C20';
wwv_flow_api.g_varchar2_table(14) := '272D272C0A20202020202020202020202027556E646F272C20275265646F275D0A20202020202020205D3B0A202020207D20656C736520696620286C4F7074696F6E732E746F6F6C626172203D3D3D20435F544F4F4C4241525F494E5445524D45444941';
wwv_flow_api.g_varchar2_table(15) := '544529207B0A20202020202020206C4F7074696F6E732E746F6F6C626172203D205B0A2020202020202020202020205B27437574272C2027436F7079272C20275061737465272C20272D272C0A2020202020202020202020202020202027426F6C64272C';
wwv_flow_api.g_varchar2_table(16) := '20274974616C6963272C2027556E6465726C696E65272C20272D272C0A202020202020202020202020202020202752656D6F7665466F726D6174272C20272D272C0A20202020202020202020202020202020274E756D62657265644C697374272C202742';
wwv_flow_api.g_varchar2_table(17) := '756C6C657465644C697374272C20272D272C0A20202020202020202020202020202020274F757464656E74272C2027496E64656E74272C20272D272C0A20202020202020202020202020202020274C696E6B272C2027556E6C696E6B272C2027416E6368';
wwv_flow_api.g_varchar2_table(18) := '6F72272C20272D272C0A2020202020202020202020202020202027556E646F272C20275265646F275D2C0A202020202020202020202020272F272C0A2020202020202020202020205B27466F726D6174272C2027466F6E74272C2027466F6E7453697A65';
wwv_flow_api.g_varchar2_table(19) := '272C202754657874436F6C6F72272C20272D272C0A20202020202020202020202020202020274A7573746966794C656674272C20274A75737469667943656E746572272C20274A7573746966795269676874275D0A20202020202020205D3B0A20202020';
wwv_flow_api.g_varchar2_table(20) := '7D20656C736520696620286C4F7074696F6E732E746F6F6C626172203D3D3D20435F544F4F4C4241525F46554C4C29207B0A20202020202020206C4F7074696F6E732E746F6F6C626172203D205B0A2020202020202020202020205B27437574272C2027';
wwv_flow_api.g_varchar2_table(21) := '436F7079272C20275061737465272C2027506173746554657874272C2027506173746546726F6D576F7264272C20272D272C20275072696E74272C202750726576696577272C20272D272C2027556E646F272C20275265646F275D2C0A20202020202020';
wwv_flow_api.g_varchar2_table(22) := '20202020205B2754656D706C61746573275D2C0A2020202020202020202020205B274C696E6B272C2027556E6C696E6B272C2027416E63686F72275D2C0A2020202020202020202020205B27496D616765272C20275461626C65272C2027486F72697A6F';
wwv_flow_api.g_varchar2_table(23) := '6E74616C52756C65272C2027536D696C6579272C20275370656369616C43686172272C202750616765427265616B275D2C0A202020202020202020202020272F272C0A2020202020202020202020205B27426F6C64272C20274974616C6963272C202755';
wwv_flow_api.g_varchar2_table(24) := '6E6465726C696E65272C2027537472696B65272C20272D272C2027537562736372697074272C20275375706572736372697074272C20272D272C202752656D6F7665466F726D6174275D2C0A2020202020202020202020205B274E756D62657265644C69';
wwv_flow_api.g_varchar2_table(25) := '7374272C202742756C6C657465644C697374272C20272D272C20274F757464656E74272C2027496E64656E74272C2027426C6F636B71756F7465275D2C0A2020202020202020202020205B274A7573746966794C656674272C20274A7573746966794365';
wwv_flow_api.g_varchar2_table(26) := '6E746572272C20274A7573746966795269676874272C20274A757374696679426C6F636B275D2C0A2020202020202020202020205B2754657874436F6C6F72272C20274247436F6C6F72275D2C0A2020202020202020202020205B2753686F77426C6F63';
wwv_flow_api.g_varchar2_table(27) := '6B73275D2C0A202020202020202020202020272F272C0A2020202020202020202020205B275374796C6573272C2027466F726D6174272C2027466F6E74272C2027466F6E7453697A65275D2C0A2020202020202020202020205B2F2A274D6178696D697A';
wwv_flow_api.g_varchar2_table(28) := '65272C2A2F2027536F75726365275D0A20202020202020205D3B0A202020207D0A0A202020202F2F20496E7374616E74696174652074686520434B656469746F72202020200A2020202076617220656C656D24203D202428272327202B206F7074696F6E';
wwv_flow_api.g_varchar2_table(29) := '732E6974656D4E616D65292C0A20202020202020206974656D4E616D65203D206F7074696F6E732E6974656D4E616D652C0A20202020202020206C46696E616C4F7074696F6E73203D206C4F7074696F6E732C0A20202020202020206C43757272656E74';
wwv_flow_api.g_varchar2_table(30) := '536E617073686F743B0A0A202020206C46696E616C4F7074696F6E732E7469746C65203D20617065782E6C616E672E666F726D61744D6573736167652827415045582E524943485F544558545F454449544F522E41434345535349424C455F4C4142454C';
wwv_flow_api.g_varchar2_table(31) := '272C206C4F7074696F6E732E6C6162656C207C7C202727293B0A0A20202020656C656D242E7772617028273C6469762069643D2227202B206974656D4E616D65202B20275F444953504C415922207374796C653D2277696474683A20313030253B223E3C';
wwv_flow_api.g_varchar2_table(32) := '2F6469763E27293B0A0A20202020696620286F7074696F6E732E6A73496E6974436F6465297B0A20202020202020206C46696E616C4F7074696F6E73203D206F7074696F6E732E6A73496E6974436F6465286C46696E616C4F7074696F6E73293B0A2020';
wwv_flow_api.g_varchar2_table(33) := '20207D0A0A2020202076617220636B65496E7374616E6365203D20434B454449544F522E7265706C616365286974656D4E616D652C206C46696E616C4F7074696F6E73293B0A0A202020202F2F20466F72206974656D2068656C70206163636573736962';
wwv_flow_api.g_varchar2_table(34) := '696C6974792E2053656520636F646520696E207468656D652E6A730A202020202F2F204265636175736520636B656469746F72207573657320616E20696672616D65206B6579626F617264206576656E747320646F6E2774207061737320757020746F20';
wwv_flow_api.g_varchar2_table(35) := '7468697320646F63756D656E740A202020202F2F20736F2068616E646C652074686520636B656469746F72206B6579206576656E7420616E642070617373206974206F6E20617320612066616B65206B6579646F776E206576656E740A0A20202020636B';
wwv_flow_api.g_varchar2_table(36) := '65496E7374616E63652E6F6E28276B6579272C2066756E6374696F6E20286576656E7429207B0A2020202020202020696620286576656E742E646174612E6B6579436F6465203D3D3D20434B454449544F522E414C54202B20435F4B4559434F44455F46';
wwv_flow_api.g_varchar2_table(37) := '3129207B202F2F20416C74202B2046310A2020202020202020202020202F2F2066616B652061206B6579646F776E206576656E7420736F2074686174206974656D2068656C70206B6579626F617264206163636573736962696C6974792077696C6C2077';
wwv_flow_api.g_varchar2_table(38) := '6F726B0A202020202020202020202020656C656D242E7472696767657228242E4576656E7428276B6579646F776E272C207B0A20202020202020202020202020202020616C744B65793A20747275652C0A20202020202020202020202020202020637472';
wwv_flow_api.g_varchar2_table(39) := '6C4B65793A2066616C73652C0A2020202020202020202020202020202073686966744B65793A2066616C73652C0A202020202020202020202020202020206D6574614B65793A2066616C73652C0A20202020202020202020202020202020697343686172';
wwv_flow_api.g_varchar2_table(40) := '3A2066616C73652C0A2020202020202020202020202020202077686963683A20435F4B4559434F44455F46312C0A202020202020202020202020202020206B6579436F64653A20435F4B4559434F44455F46310A2020202020202020202020207D29293B';
wwv_flow_api.g_varchar2_table(41) := '0A20202020202020207D0A202020207D293B0A0A202020202F2F204F6E204368616E6765206C6F6769630A20202020636B65496E7374616E63652E6F6E2827666F637573272C2066756E6374696F6E202829207B0A20202020202020206C43757272656E';
wwv_flow_api.g_varchar2_table(42) := '74536E617073686F74203D20636B65496E7374616E63652E676574536E617073686F7428293B0A202020207D293B0A0A20202020636B65496E7374616E63652E6F6E2827626C7572272C2066756E6374696F6E202829207B0A2020202020202020696620';
wwv_flow_api.g_varchar2_table(43) := '28636B65496E7374616E63652E676574536E617073686F74282920213D3D206C43757272656E74536E617073686F7429207B0A202020202020202020202020656C656D242E7472696767657228276368616E676527293B0A20202020202020207D0A2020';
wwv_flow_api.g_varchar2_table(44) := '20207D293B0A0A20202020617065782E6974656D2E637265617465286974656D4E616D652C207B0A202020202020202073657456616C75653A2066756E6374696F6E20287056616C756529207B0A202020202020202020202020636B65496E7374616E63';
wwv_flow_api.g_varchar2_table(45) := '652E73657444617461287056616C7565293B0A20202020202020207D2C0A202020202020202067657456616C75653A2066756E6374696F6E202829207B0A202020202020202020202020766172206C48746D6C2C206C48746D6C5772697465723B0A0A20';
wwv_flow_api.g_varchar2_table(46) := '20202020202020202020202F2F2069662074686520456469746F7220697320696E202748544D4C20536F75726365272065646974206D6F64652C207765206E65656420746F206170706C792074686520636F6E74656E742066696C7465722072756C6573';
wwv_flow_api.g_varchar2_table(47) := '0A2020202020202020202020202F2F206D616E75616C6C79206265666F72652072657475726E696E672074686520646174612E204F746865727769736520636F6E74656E742072756C65732063616E2062652063697263756D76656E746564206279206A';
wwv_flow_api.g_varchar2_table(48) := '7573740A2020202020202020202020202F2F20737769746368696E6720746F202748544D4C20536F7572636527206D6F646520616E64207468656E207375626D697474696E672074686520706167652E0A20202020202020202020202069662028636B65';
wwv_flow_api.g_varchar2_table(49) := '496E7374616E63652E6D6F6465203D3D3D2027736F757263652729207B0A0A202020202020202020202020202020206C48746D6C577269746572203D206E657720434B454449544F522E68746D6C5061727365722E626173696357726974657228293B0A';
wwv_flow_api.g_varchar2_table(50) := '202020202020202020202020202020206C48746D6C203D20434B454449544F522E68746D6C5061727365722E667261676D656E742E66726F6D48746D6C28636B65496E7374616E63652E676574446174612829293B0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(51) := '2020636B65496E7374616E63652E66696C7465722E6170706C79546F286C48746D6C293B0A202020202020202020202020202020206C48746D6C2E777269746548746D6C286C48746D6C577269746572293B0A0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(52) := '72657475726E206C48746D6C5772697465722E67657448746D6C28293B0A2020202020202020202020207D20656C7365207B0A2020202020202020202020202020202072657475726E20636B65496E7374616E63652E6765744461746128293B0A202020';
wwv_flow_api.g_varchar2_table(53) := '2020202020202020207D0A20202020202020207D2C0A2020202020202020736574466F637573546F3A2066756E6374696F6E202829207B0A202020202020202020202020636B65496E7374616E63652E666F63757328293B0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(54) := '202F2F2072657475726E2066616B65206F626A656374207769746820666F637573206D6574686F6420746F206B6565702063616C6C65722068617070790A20202020202020202020202072657475726E207B20666F6375733A2066756E6374696F6E2028';
wwv_flow_api.g_varchar2_table(55) := '29207B207D207D3B0A20202020202020207D2C0A202020202020202069734368616E6765643A2066756E6374696F6E202829207B0A20202020202020202020202072657475726E20636B65496E7374616E63652E636865636B446972747928293B0A2020';
wwv_flow_api.g_varchar2_table(56) := '2020202020207D0A202020207D293B0A0A202020202F2F20726567697374657220666F6375732068616E646C696E672C20736F207768656E20746865206E6F6E2D646973706C61796564207465787461726561206F662074686520434B456469746F720A';
wwv_flow_api.g_varchar2_table(57) := '202020202F2F20726563656976657320666F6375732C20666F637573206973206D6F76656420746F2074686520656469746F722E0A20202020656C656D242E666F6375732866756E6374696F6E202829207B0A2020202020202020636B65496E7374616E';
wwv_flow_api.g_varchar2_table(58) := '63652E666F63757328293B0A202020207D293B0A7D3B';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(103604621283509936)
,p_plugin_id=>wwv_flow_api.id(98648032013264649)
,p_file_name=>'js/script.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '77696E646F772E464F533D77696E646F772E464F537C7C7B7D2C464F532E6974656D3D464F532E6974656D7C7C7B7D2C464F532E6974656D2E636B656469746F72343D66756E6374696F6E2865297B76617220743D242E657874656E64287B746F6F6C62';
wwv_flow_api.g_varchar2_table(2) := '61723A226261736963222C64697361626C654E61746976655370656C6C436865636B65723A21312C72656D6F7665506C7567696E733A22656C656D656E7473706174682C696D6167652C6578706F7274706466222C6578747261506C7567696E733A2269';
wwv_flow_api.g_varchar2_table(3) := '6D61676532222C726573697A655F6469723A22766572746963616C222C6D656E755F67726F7570733A22636C6970626F6172642C7461626C6563656C6C2C7461626C6563656C6C70726F706572746965732C7461626C65726F772C7461626C65636F6C75';
wwv_flow_api.g_varchar2_table(4) := '6D6E2C7461626C652C616E63686F722C6C696E6B2C696D6167652C666C617368227D2C65293B226261736963223D3D3D742E746F6F6C6261723F742E746F6F6C6261723D5B5B22426F6C64222C224974616C6963222C222D222C2252656D6F7665466F72';
wwv_flow_api.g_varchar2_table(5) := '6D6174222C222D222C224E756D62657265644C697374222C2242756C6C657465644C697374222C222D222C224C696E6B222C22556E6C696E6B222C222D222C22556E646F222C225265646F225D5D3A22696E7465726D656469617465223D3D3D742E746F';
wwv_flow_api.g_varchar2_table(6) := '6F6C6261723F742E746F6F6C6261723D5B5B22437574222C22436F7079222C225061737465222C222D222C22426F6C64222C224974616C6963222C22556E6465726C696E65222C222D222C2252656D6F7665466F726D6174222C222D222C224E756D6265';
wwv_flow_api.g_varchar2_table(7) := '7265644C697374222C2242756C6C657465644C697374222C222D222C224F757464656E74222C22496E64656E74222C222D222C224C696E6B222C22556E6C696E6B222C22416E63686F72222C222D222C22556E646F222C225265646F225D2C222F222C5B';
wwv_flow_api.g_varchar2_table(8) := '22466F726D6174222C22466F6E74222C22466F6E7453697A65222C2254657874436F6C6F72222C222D222C224A7573746966794C656674222C224A75737469667943656E746572222C224A7573746966795269676874225D5D3A2266756C6C223D3D3D74';
wwv_flow_api.g_varchar2_table(9) := '2E746F6F6C626172262628742E746F6F6C6261723D5B5B22437574222C22436F7079222C225061737465222C22506173746554657874222C22506173746546726F6D576F7264222C222D222C225072696E74222C2250726576696577222C222D222C2255';
wwv_flow_api.g_varchar2_table(10) := '6E646F222C225265646F225D2C5B2254656D706C61746573225D2C5B224C696E6B222C22556E6C696E6B222C22416E63686F72225D2C5B22496D616765222C225461626C65222C22486F72697A6F6E74616C52756C65222C22536D696C6579222C225370';
wwv_flow_api.g_varchar2_table(11) := '656369616C43686172222C2250616765427265616B225D2C222F222C5B22426F6C64222C224974616C6963222C22556E6465726C696E65222C22537472696B65222C222D222C22537562736372697074222C225375706572736372697074222C222D222C';
wwv_flow_api.g_varchar2_table(12) := '2252656D6F7665466F726D6174225D2C5B224E756D62657265644C697374222C2242756C6C657465644C697374222C222D222C224F757464656E74222C22496E64656E74222C22426C6F636B71756F7465225D2C5B224A7573746966794C656674222C22';
wwv_flow_api.g_varchar2_table(13) := '4A75737469667943656E746572222C224A7573746966795269676874222C224A757374696679426C6F636B225D2C5B2254657874436F6C6F72222C224247436F6C6F72225D2C5B2253686F77426C6F636B73225D2C222F222C5B225374796C6573222C22';
wwv_flow_api.g_varchar2_table(14) := '466F726D6174222C22466F6E74222C22466F6E7453697A65225D2C5B22536F75726365225D5D293B766172206F2C693D24282223222B652E6974656D4E616D65292C723D652E6974656D4E616D652C613D743B612E7469746C653D617065782E6C616E67';
wwv_flow_api.g_varchar2_table(15) := '2E666F726D61744D6573736167652822415045582E524943485F544558545F454449544F522E41434345535349424C455F4C4142454C222C742E6C6162656C7C7C2222292C692E7772617028273C6469762069643D22272B722B275F444953504C415922';
wwv_flow_api.g_varchar2_table(16) := '207374796C653D2277696474683A20313030253B223E3C2F6469763E27292C652E6A73496E6974436F6465262628613D652E6A73496E6974436F6465286129293B766172206E3D434B454449544F522E7265706C61636528722C61293B6E2E6F6E28226B';
wwv_flow_api.g_varchar2_table(17) := '6579222C2866756E6374696F6E2865297B652E646174612E6B6579436F64653D3D3D434B454449544F522E414C542B3131322626692E7472696767657228242E4576656E7428226B6579646F776E222C7B616C744B65793A21302C6374726C4B65793A21';
wwv_flow_api.g_varchar2_table(18) := '312C73686966744B65793A21312C6D6574614B65793A21312C6973436861723A21312C77686963683A3131322C6B6579436F64653A3131327D29297D29292C6E2E6F6E2822666F637573222C2866756E6374696F6E28297B6F3D6E2E676574536E617073';
wwv_flow_api.g_varchar2_table(19) := '686F7428297D29292C6E2E6F6E2822626C7572222C2866756E6374696F6E28297B6E2E676574536E617073686F742829213D3D6F2626692E7472696767657228226368616E676522297D29292C617065782E6974656D2E63726561746528722C7B736574';
wwv_flow_api.g_varchar2_table(20) := '56616C75653A66756E6374696F6E2865297B6E2E736574446174612865297D2C67657456616C75653A66756E6374696F6E28297B76617220652C743B72657475726E22736F75726365223D3D3D6E2E6D6F64653F28743D6E657720434B454449544F522E';

wwv_flow_api.g_varchar2_table(21) := '68746D6C5061727365722E62617369635772697465722C653D434B454449544F522E68746D6C5061727365722E667261676D656E742E66726F6D48746D6C286E2E676574446174612829292C6E2E66696C7465722E6170706C79546F2865292C652E7772';
wwv_flow_api.g_varchar2_table(22) := '69746548746D6C2874292C742E67657448746D6C2829293A6E2E6765744461746128297D2C736574466F637573546F3A66756E6374696F6E28297B72657475726E206E2E666F63757328292C7B666F6375733A66756E6374696F6E28297B7D7D7D2C6973';
wwv_flow_api.g_varchar2_table(23) := '4368616E6765643A66756E6374696F6E28297B72657475726E206E2E636865636B446972747928297D7D292C692E666F637573282866756E6374696F6E28297B6E2E666F63757328297D29297D3B0A2F2F2320736F757263654D617070696E6755524C3D';
wwv_flow_api.g_varchar2_table(24) := '7363726970742E6A732E6D6170';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(103605400127510274)
,p_plugin_id=>wwv_flow_api.id(98648032013264649)
,p_file_name=>'js/script.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '7B2276657273696F6E223A332C22736F7572636573223A5B227363726970742E6A73225D2C226E616D6573223A5B2277696E646F77222C22464F53222C226974656D222C22636B656469746F7234222C226F7074696F6E73222C226C4F7074696F6E7322';
wwv_flow_api.g_varchar2_table(2) := '2C2224222C22657874656E64222C22746F6F6C626172222C2264697361626C654E61746976655370656C6C436865636B6572222C2272656D6F7665506C7567696E73222C226578747261506C7567696E73222C22726573697A655F646972222C226D656E';
wwv_flow_api.g_varchar2_table(3) := '755F67726F757073222C226C43757272656E74536E617073686F74222C22656C656D24222C226974656D4E616D65222C226C46696E616C4F7074696F6E73222C227469746C65222C2261706578222C226C616E67222C22666F726D61744D657373616765';
wwv_flow_api.g_varchar2_table(4) := '222C226C6162656C222C2277726170222C226A73496E6974436F6465222C22636B65496E7374616E6365222C22434B454449544F52222C227265706C616365222C226F6E222C226576656E74222C2264617461222C226B6579436F6465222C22414C5422';
wwv_flow_api.g_varchar2_table(5) := '2C2274726967676572222C224576656E74222C22616C744B6579222C226374726C4B6579222C2273686966744B6579222C226D6574614B6579222C22697343686172222C227768696368222C22676574536E617073686F74222C22637265617465222C22';
wwv_flow_api.g_varchar2_table(6) := '73657456616C7565222C227056616C7565222C2273657444617461222C2267657456616C7565222C226C48746D6C222C226C48746D6C577269746572222C226D6F6465222C2268746D6C506172736572222C226261736963577269746572222C22667261';
wwv_flow_api.g_varchar2_table(7) := '676D656E74222C2266726F6D48746D6C222C2267657444617461222C2266696C746572222C226170706C79546F222C22777269746548746D6C222C2267657448746D6C222C22736574466F637573546F222C22666F637573222C2269734368616E676564';
wwv_flow_api.g_varchar2_table(8) := '222C22636865636B4469727479225D2C226D617070696E6773223A2241414F41412C4F41414F432C4941414D442C4F41414F432C4B41414F2C4741433342412C49414149432C4B41414F442C49414149432C4D4141512C47414F7642442C49414149432C';
wwv_flow_api.g_varchar2_table(9) := '4B41414B432C554141592C53414155432C47414333422C49414149432C45414157432C45414145432C4F41414F2C4341437042432C514141532C51414354432C3242414132422C4541433342432C634141652C2B42414366432C614141632C5341436443';
wwv_flow_api.g_varchar2_table(10) := '2C574141592C5741435A432C594141652C384641436842542C4741456D422C55414D6C42432C45414153472C51414354482C45414153472C514141552C434143662C434141432C4F4141512C534141552C4941436E422C65414167422C49414368422C65';
wwv_flow_api.g_varchar2_table(11) := '414167422C65414167422C49414368432C4F4141512C534141552C4941436C422C4F4141512C534158612C694241616C42482C45414153472C5141436842482C45414153472C514141552C434143662C434141432C4D41414F2C4F4141512C514141532C';
wwv_flow_api.g_varchar2_table(12) := '49414372422C4F4141512C534141552C594141612C4941432F422C65414167422C49414368422C65414167422C65414167422C49414368432C554141572C534141552C49414372422C4F4141512C534141552C534141552C49414335422C4F4141512C51';
wwv_flow_api.g_varchar2_table(13) := '41435A2C494143412C434141432C534141552C4F4141512C574141592C594141612C49414378432C634141652C6742414169422C694241764276422C5341794256482C45414153472C5541436842482C45414153472C514141552C434143662C43414143';
wwv_flow_api.g_varchar2_table(14) := '2C4D41414F2C4F4141512C514141532C594141612C6742414169422C4941414B2C514141532C554141572C4941414B2C4F4141512C51414337462C434141432C614143442C434141432C4F4141512C534141552C5541436E422C434141432C514141532C';
wwv_flow_api.g_varchar2_table(15) := '514141532C694241416B422C534141552C634141652C61414339442C494143412C434141432C4F4141512C534141552C594141612C534141552C4941414B2C594141612C634141652C4941414B2C6742414368462C434141432C65414167422C65414167';
wwv_flow_api.g_varchar2_table(16) := '422C4941414B2C554141572C534141552C63414333442C434141432C634141652C6742414169422C65414167422C674241436A442C434141432C594141612C574143642C434141432C634143442C494143412C434141432C534141552C534141552C4F41';
wwv_flow_api.g_varchar2_table(17) := '41512C59414337422C43414169422C59414B7A422C494147494D2C45414841432C45414151542C454141452C4941414D462C45414151592C5541437842412C454141575A2C45414151592C5341436E42432C45414167425A2C4541477042592C45414163';
wwv_flow_api.g_varchar2_table(18) := '432C4D414151432C4B41414B432C4B41414B432C634141632C79434141304368422C4541415369422C4F4141532C4941453147502C4541414D512C4B41414B2C59414163502C454141572C7943414568435A2C454141516F422C61414352502C45414167';
wwv_flow_api.g_varchar2_table(19) := '42622C454141516F422C57414157502C49414776432C49414149512C45414163432C53414153432C51414151582C45414155432C47414D3743512C45414159472C474141472C4F41414F2C53414155432C4741437842412C4541414D432C4B41414B432C';
wwv_flow_api.g_varchar2_table(20) := '554141594C2C534141534D2C49412F4472422C4B416945586A422C4541414D6B422C5141415133422C4541414534422C4D41414D2C554141572C4341433742432C514141512C45414352432C534141532C45414354432C554141552C45414356432C5341';
wwv_flow_api.g_varchar2_table(21) := '41532C45414354432C514141512C45414352432C4D4176454F2C4941774550542C514178454F2C554138456E424E2C45414159472C474141472C534141532C5741437042642C4541416D42572C4541415967422C694241476E4368422C45414159472C47';
wwv_flow_api.g_varchar2_table(22) := '4141472C514141512C57414366482C4541415967422C674241416B4233422C4741433942432C4541414D6B422C514141512C6141497442642C4B41414B6A422C4B41414B77432C4F41414F31422C454141552C434143764232422C534141552C53414155';
wwv_flow_api.g_varchar2_table(23) := '432C47414368426E422C454141596F422C51414151442C4941457842452C534141552C5741434E2C49414149432C4541414F432C45414B582C4D414179422C574141724276422C4541415977422C4D41455A442C454141632C4941414974422C53414153';
wwv_flow_api.g_varchar2_table(24) := '77422C57414157432C59414374434A2C4541415172422C5341415377422C57414157452C53414153432C5341415335422C4541415936422C574143314437422C4541415938422C4F41414F432C51414151542C4741433342412C4541414D552C55414155';
wwv_flow_api.g_varchar2_table(25) := '542C47414554412C45414159552C5741455A6A432C4541415936422C57414733424B2C574141592C574147522C4F4146416C432C454141596D432C5141454C2C43414145412C4D41414F2C6541457042432C554141572C574143502C4F41414F70432C45';
wwv_flow_api.g_varchar2_table(26) := '41415971432C6742414D33422F432C4541414D36432C4F41414D2C574143526E432C454141596D43222C2266696C65223A227363726970742E6A73227D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(103605801209510276)
,p_plugin_id=>wwv_flow_api.id(98648032013264649)
,p_file_name=>'js/script.js.map'
,p_mime_type=>'application/json'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done


